use serde::Deserialize;

template_id!(ArchiveFileQuest u32 id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct ArchiveFileQuestTemplate {
    #[serde(rename = "ID")]
    pub id: ArchiveFileQuestID,
    #[serde(rename = "ArchiveID")]
    pub archive_id: u32,
    pub difficulty_lv: u32,
    pub show_type: u32,
    pub recommended_hit_types: Vec<u32>,
    pub video: String,
    pub archive_file_name: String,
    pub archive_file_num: String,
    pub archive_file_ni_ds: Vec<u32>,
    pub auto_distribution: bool,
}
