use serde::Deserialize;

template_id!(MainCityDefaultObject u32 tag_id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct MainCityDefaultObjectTemplate {
    #[serde(rename = "TagID")]
    pub tag_id: MainCityDefaultObjectID,
    #[serde(rename = "InteractIDs")]
    pub interact_ids: Vec<u32>,
}
